Upstream information

CVE-2008-5660 at MITRE

Description

Format string vulnerability in the vinagre_utils_show_error function (src/vinagre-utils.c) in Vinagre 0.5.x before 0.5.2 and 2.x before 2.24.2 might allow remote attackers to execute arbitrary code via format string specifiers in a crafted URI or VNC server response.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 457895 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.0
  • vinagre-debuginfo >= 0.5.1-20.2
  • vinagre-debugsource >= 0.5.1-20.2
openSUSE 11.0
  • vinagre >= 0.5.1-20.2
openSUSE 11.1
  • vinagre >= 2.24.1-1.31.1
  • vinagre-debuginfo >= 2.24.1-1.31.1
  • vinagre-debugsource >= 2.24.1-1.31.1
openSUSE 11.1
  • vinagre >= 2.24.1-1.31.1